Skip to main content
DELETE
/
external_connections
/
log_messages
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.externalConnections.logMessages.dismiss('1293384261075731499');

console.log(response.success);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.external_connections.log_messages.dismiss(
"1293384261075731499",
)
print(response.success)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.ExternalConnections.LogMessages.Dismiss(context.TODO(), "1293384261075731499")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Success)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.externalconnections.logmessages.LogMessageDismissParams;
import com.telnyx.sdk.models.externalconnections.logmessages.LogMessageDismissResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

LogMessageDismissResponse response = client.externalConnections().logMessages().dismiss("1293384261075731499");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

response = telnyx.external_connections.log_messages.dismiss("1293384261075731499")

puts(response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$response = $client->externalConnections->logMessages->dismiss(
'1293384261075731499'
);

var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx external-connections:log-messages dismiss \
--api-key 'My API Key' \
--id 1293384261075731499
curl --request DELETE \
--url https://api.telnyx.com/v2/external_connections/log_messages/{id} \
--header 'Authorization: Bearer <token>'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identifies the resource.

Example:

"1293384261075731499"

Response

Successful response

success
boolean

Describes wether or not the operation was successful